import processing.video.*;
Capture cam;

PImage img;

void setup() {
  size(640, 480);

  String[] cameras = Capture.list();
  
  if (cameras.length == 0) {
    println("There are no cameras available for capture.");
    exit();
  } else {
    println("Available cameras:");
    for (int i = 0; i < cameras.length; i++) {
      println(cameras[i]);
    }
    
    // The camera can be initialized directly using an element
    // from the array returned by list():
    cam = new Capture(this, cameras[0]);
    cam.start();     
  }      
  
  img = loadImage("test3.jpg");
  img.resize(width, height);
  
}

void draw() {
  if (cam.available() == true) {
    cam.read();
  }
  
  //filterCam();
  
  noTint();
  image(img, 0, 0);
  
  int alpha = floor(map(mouseY, 0, width, 0, 255));
  tint(255, alpha);
  image(cam, 0, 0);

}

void filterCam() {
  
  cam.loadPixels(); 
  for (int y = 0; y < cam.height; y++) {
    for (int x = 0; x < cam.width; x++) {
      int loc = x + y*width;
      
      // The functions red(), green(), and blue() pull out the 3 color components from a pixel.
      float r = red(cam.pixels[loc]);
      float g = green(cam.pixels[loc]);
      float b = blue(cam.pixels[loc]);
      
      // Image Processing goes here:
      color filteredPixel;
      
      //* Threshold
      float threshold = map(mouseX, 0, width, 0, 255);
      if(brightness(cam.pixels[loc]) > threshold) filteredPixel = color(255, 255, 255);
      else filteredPixel = color(0, 0, 0);
      //*/
  
     cam.pixels[loc] =  filteredPixel;  
    }
  }    
  cam.updatePixels(); 
  
}
