//Art 122 Image Processing Example
//Modified code from http://processing.org/learning/pixels/

PImage img;

void setup(){
 img = loadImage("test1.jpg");
 size(img.width, img.height);
}

void draw() {
  loadPixels();
  // Since we are going to access the image's pixels too  
  img.loadPixels(); 
  for (int y = 0; y < img.height; y++) {
    for (int x = 0; x < img.width; x++) {
      int loc = x + y*width;
      
      // The functions red(), green(), and blue() pull out the 3 color components from a pixel.
      float r = red(img.pixels[loc]);
      float g = green(img.pixels[loc]);
      float b = blue(img.pixels[loc]);
      
      // Image Processing goes here:
      color filteredPixel;
      
      //* Viewfinder
      float distance = dist(x, y, mouseX, mouseY);
      float adjustBrightness = (100-distance)/100;
      r*=adjustBrightness;
      g*=adjustBrightness;
      b*=adjustBrightness;
      r = constrain(r, 0, 255);
      g = constrain(g, 0, 255);
      b = constrain(b, 0, 255);
      filteredPixel = color(r, g, b);
      //*/
      
      /* Threshold
      float threshold = map(mouseX, 0, width, 0, 255);
      if(brightness(img.pixels[loc]) > threshold) filteredPixel = color(255, 255, 255);
      else filteredPixel = color(0, 0, 0);
      //*/
      
      
      // Set the display pixel to the image pixel
     pixels[loc] =  filteredPixel;          
    }
  }
  updatePixels();
  
}

