import controlP5.*;

ControlP5 cp5;

Slider bgSlider, sizeSlider;
RadioButton rad;

int diameter;
int bgFill = 0;
int shape = 1;

void setup(){
 size(500, 500);
 cp5 = new ControlP5(this);

 bgSlider = cp5.addSlider("bgFill");
 bgSlider.setPosition(10, 10);
 bgSlider.setSize(20, 200);
 bgSlider.setRange(0, 255);
 
 sizeSlider = cp5.addSlider("diameter");
 sizeSlider.setPosition(10, 250);
 sizeSlider.setSize(20, 200);
 sizeSlider.setRange(0, width);
 sizeSlider.setValue(250);
 
 rad = cp5.addRadioButton("radioButton")
         .setPosition(50,10)
         .setSize(20,20)
         .setColorForeground(color(120))
         .setColorActive(color(255))
         .setColorLabel(color(255))
         .setItemsPerRow(3)
         .setSpacingColumn(50)
         .addItem("circle",1)
         .addItem("square",2)
         .addItem("triangle",3)
         .activate(0)
         ;
 
}

void draw() {
 background(bgFill); 
 fill(0, 100, 150);
 
 if(shape == 1) ellipse(width/2, height/2, diameter, diameter);
 else if(shape == 2) rect(width/2-diameter/2, height/2-diameter/2, diameter, diameter);
 else if(shape == 3) triangle(width/2-diameter/2, height/2+diameter/2, width/2, height/2-diameter/2, width/2+diameter/2, height/2+diameter/2);
}

void radioButton(int a) {
  println("a radio Button event: "+a);
  shape = a;
}
